//=============================================================================
// aq_class_qualityflags.c
//
// 
// 09 Jan 2002 Version 1.0
//
// Quality Flags described in SDP Toolkit, Appendix L.
//
//=============================================================================

#include "aq_class_qualityflags.h"


ostream& operator<<( ostream& os, const quality_flags qflags )
{
	const bitset<16>& qf = qflags.getqualityflags();

     	os<<  "sgf(8)="<<qf.test(8)<<"  sgb(7)="<<qf.test(7)
      	  <<"  lgf(9)="<<qf.test(9)<<"  lgb(6)="<<qf.test(6)
      	  <<"  rep(5)="<<qf.test(5); 

	return os;
}

