//==============================================================================
// aq_const_header.h
//
// 
// 18 May 2001 Version 1.0
//
//
//==============================================================================

#if !defined(AQ_CONST_HEADER)
#define      AQ_CONST_HEADER

#include "aq_typdef_header.h"

namespace 
{
   cstring cst_spacecraftName = "AQUA";		  // spacecraft Name
   cstring cst_versionNumber  = "1";		  // Version number 
   cstring cst_keplerRefFrame = "J2000";	  // Reference frame, e.g. J2000

   const float  cst_interval = 1.0;		  // interval between recs. sec
   const uint   cst_eulerAngleOrder[3] = {3,1,2}; // Order of euler rotations 
}

#endif
