// aq_proc_write_ephemerismetafile.c

// CC -g aq_proc_write_ephemerismetafile.c  -I./timelib ./timelib/timelib.a -o test1


#include  "aq_class_metafile.h"
#include  "aq_class_hdfobj.h"
#include  "timelib_class_datetime.h"
#include  "aq_class_satpass.h"
#include  "aq_const_header.h"
#include  "aq_typdef_header.h"
#include  <strstream.h>


static cstring HDFdate( double JD )
{
    return date_time( JD ).ConvertDateToString("%Y4-%Mn-%Dn");
}


static cstring HDFtime( double JD )
{
    return date_time( JD ).ConvertDateToString("%hh:%mm:%s9" );
}


template<class T> static cstring HDFnum( T v)
{
    strstream tmp1;
    string    tmp2;

    tmp1<<v;
    tmp1>>tmp2;
 
    return tmp2;   
}

 
class metafile : public cout
{};


void Write_EphemerisMetaFile( metafile& mfile, const satpass&  satpass)
{
    #include  "aq_code_ephemmetadata.c"
}

void main()
{
    metafile mfile;
    satpass  satpass;

    Write_EphemerisMetaFile( mfile, satpass );
}
