//==============================================================================
// timelib_dateproc_ConvertDayAndHourMinuteSecond.c 
//
// 03 Nov 1999 Version 1.0
//
// Convert betwee the fractional part of days and hours, minutes, and seconds
//
//==============================================================================

#if !defined (TIMELIB_CONVERTDAYANDHOURMINUTESECOND)
#define       TIMELIB_CONVERTDAYANDHOURMINUTESECOND

#include <stdlib.h>


//------------------------------------------------------------------------------
// DayToHourMinuteSecond- 
//
//  Convert days to whole days and fraction to hours, minutes, seconds. Returns
//  integer number of whole days.
//
//------------------------------------------------------------------------------

long DayToHourMinuteSecond 
(double day, size_t& hour, size_t& minute, double& second);


//------------------------------------------------------------------------------
// HourMinuteSecondToDay -
//
//  Convert days, hours, minutes, seconds to days. Returns floating days.
//
//------------------------------------------------------------------------------

double HourMinuteSecondToDay 
(size_t day, size_t hour, size_t minute, double second);

#endif
