//=============================================================================
// aq_class_buildorbitlist.h
//
// 
// 23 Nov 2001 Version 1.0
//
// Purpose:
// 	Accummulate a list of orbits (see aq_class_orbitstuff.h) by successive
//	calls to checkpacket().
//
//	When all packets have been checked, list is retrieved by getorbitlist()
//
//=============================================================================

#if !defined(AQ_CLASS_BUILDORBITLIST)
#define     AQ_CLASS_BUILDORBITLIST

#include <vector>
#include "aq_class_orbitstuff.h"


class buildorbitlist
{
    vector<orbitstuff>  orbitList;

public:
    bool  checkpacket( gbadpacket& pkt );		
    const vector<orbitstuff>& getorbitlist( ) const;
};


#endif
