//==============================================================================
// aq_proc_quaterniontoeuler.h
//
// 
// 01 Jun 2001 Version 1.0
//
// This procedure computes the Euler 312 angle rotation sequence 
// (roll, pitch yaw) from a quaternion.
// 
// See "Spacecraft Attitude and Control", James R.Wertz, 1994, section 12.
//
//==============================================================================

#if !defined(AQ_PROC_QUATERNIONTOEULER)
#define      AQ_PROC_QUATERNIONTOEULER


#include "aq_typdef_header.h"

carray QuaternionToEuler( carray& q );

#endif

