#!/usr/bin/tclsh
#==============================================================================
# hdrclassdump- 
#
# 
# 17 Jan 2002 Version 1.0
#
# print header class synopsis
#
#==============================================================================

#------------------------------------------------------------------------------
# Directories to search for header files
#
#------------------------------------------------------------------------------
set  dirlist ". ./orbitlib ./mathlib ./timelib ./constlib"



puts "\n---hdrdump--- [exec date]"


set pairlist {}
foreach dir $dirlist {

    set cdir [pwd]
    cd $dir
    set filelist [glob -nocomplain *_class*.h]

    foreach filename $filelist {
        lappend pairlist [list $dir $filename]
    }

    cd $cdir
}

set namelist [lsort -index 1 $pairlist]
set sortlist [lsort -index 0 $namelist]
set last {}

foreach item $sortlist {

    set this [lindex $item 0]

    if {$this != $last} {
		puts "\n$this \n\t [lindex $item 1]"
    } else {
		puts "\t [lindex $item 1]" 
    }

    set last $this
}
